﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace GeometriaLib
{
    [ServiceContract]
    public interface IServizioGeometria
    {
        [OperationContract]
        Misure Triangolo(double lato1, double lato2, double lato3);

        [OperationContract]
        Misure Rettangolo(double @base, double altezza);

        [OperationContract]
        Misure Esagono(double lato);
    }

    [DataContract]
    public class Misure
    {
        [DataMember]
        public double Perimetro {get; set; }

        [DataMember]
        public double Area { get; set; }
    }
}
