﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GeometriaClient
{
    class Program
    {
        static void Main(string[] args)
        {
            const double a = 3.0;
            const double b = 4.0;
            const double c = 5.0;
            try
            {
                ServizioWCF.Misure m;
                ServizioWCF.ServizioGeometriaClient cl = new ServizioWCF.ServizioGeometriaClient();

                Console.WriteLine("Elaborazione del triangolo di lati {0}, {1}, {2}", a, b, c);
                Console.WriteLine("===========================================================");
    
                m = cl.Triangolo(a, b, c);
                Console.WriteLine("Perimetro: {0,10:N2}", m.Perimetro);
                Console.WriteLine("     Area: {0,10:N2}", m.Area);

                Console.WriteLine();
                Console.WriteLine("Elaborazione del rettangolo di dimensioni {0}, {1}", a, b);
                Console.WriteLine("===========================================================");

                m = cl.Rettangolo(a, b);
                Console.WriteLine("Perimetro: {0,10:N2}", m.Perimetro);
                Console.WriteLine("     Area: {0,10:N2}", m.Area);

                Console.WriteLine();
                Console.WriteLine("Elaborazione dell'esagono regolare di lato {0}", a);
                Console.WriteLine("===========================================================");

                m = cl.Esagono(a);
                Console.WriteLine("Perimetro: {0,10:N2}", m.Perimetro);
                Console.WriteLine("     Area: {0,10:N2}", m.Area);

            }
            catch (Exception ex)
            {
                Console.Error.WriteLine("Errore: {0}", ex.Message);
            }

            Console.WriteLine();
            Console.WriteLine("Premere un tasto per terminare.");
            Console.ReadKey();

        }
    }
}
