﻿using System;
using System.ServiceModel;

namespace GeometriaHost
{
    class Program
    {
        static void Main(string[] args)
        {
            ServiceHost svcHost = null;
            try
            {
                svcHost = new ServiceHost(typeof(GeometriaLib.ServizioGeometria));
                svcHost.Open();
                Console.WriteLine("Servizio Geometria attivo su:");
                Console.WriteLine();

                foreach (var addr in svcHost.BaseAddresses)
                    Console.WriteLine("   {0}", addr);

                Console.WriteLine();
                Console.WriteLine();
                Console.WriteLine("Premere un tasto per chiudere il servizio.");
                Console.ReadKey();
                svcHost.Close();
            }
            catch (Exception ex)
            {
                Console.Error.WriteLine("Impossibile avviare il servizio richiesto: {0}", ex.Message);
            } 
        }
    }
}
