﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace GeometriaLib
{
    // NOTA: è possibile utilizzare il comando "Rinomina" del menu "Refactoring" per modificare il nome di classe "Service1" nel codice e nel file di configurazione contemporaneamente.
    public class ServizioGeometria : IServizioGeometria
    {
        public Misure Triangolo(double lato1, double lato2, double lato3)
        {
            Misure ris = new Misure();
            double p;   // Semiperimetro
            ris.Perimetro = lato1 + lato2 + lato3;
            
            p = ris.Perimetro / 2.0;
            ris.Area = Math.Sqrt(p * (p - lato1) * (p - lato2) * (p - lato3));      // Formula di Erone

            return ris;
        }

        public Misure Rettangolo(double @base, double altezza)
        {
            Misure ris = new Misure();
            ris.Perimetro = 2.0 * (@base + altezza);
            ris.Area = (@base * altezza);

            return ris;
        }

        public Misure Esagono(double lato)
        {
            const double numFissoArea = 2.5980762114;

            Misure ris = new Misure();

            ris.Perimetro = lato * 6;
            ris.Area = lato * lato * numFissoArea;

            return ris;
        }
    }
}
